Skip Menu |
 

This queue is for tickets about the ExtUtils-Install CPAN distribution.

Report information
The Basics
Id: 102111
Status: open
Priority: 0/
Queue: ExtUtils-Install

People
Owner: Nobody in particular
Requestors: NNUTTER [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.51
Fixed in: (no value)



Subject: Why does ExtUtils::Install think it can unlink stuff it doesn't own?
Download (untitled) / with headers
text/plain 1.7k
I don't know for sure that this issue is with ExtUtils::Install but it was the only match for the warning/error below. I had a Test::Simple in my PERL5LIB and during `cpanm Test::More` it decided to try and unlink it. Is this expected? It doesn't seem reasonable to me but maybe it's user error? I did get Test::More installed by doing `unset PERL5LIB && cpanm Test::More`. $ perlbrew use 5.8.9 $ cpanm Test::More --> Working on Test::More Fetching http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Simple-1.001014.tar.gz ... OK Configuring Test-Simple-1.001014 ... OK Building and testing Test-Simple-1.001014 ... FAIL ! Installing Test::More failed. See /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. Retry with --force to force install it. $ tail -n 16 /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log All tests successful, 7 tests and 27 subtests skipped. Files=118, Tests=1370, 8 wallclock secs ( 2.43 cusr + 0.73 csys = 3.16 CPU) Manifying blib/man3/Test::Builder::Tester::Color.3 Manifying blib/man3/Test::Tester::Capture.3 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! WARNING: WARNING: Failed chmod(438, /gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm): Read-only file system !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR: Cannot unlink '/gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm': Read-only file system !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! at -e line 1 make: *** [pure_perl_install] Error 30 -> FAIL Installing Test::More failed. See /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. Retry with --force to force install it. Expiring 3 work directories.
Tried to fix my inflammatory title, sorry.
Download (untitled) / with headers
text/plain 1.9k
On Fri Feb 13 14:54:11 2015, NNUTTER wrote: Show quoted text
> I don't know for sure that this issue is with ExtUtils::Install but it > was the only match for the warning/error below. I had a Test::Simple > in my PERL5LIB and during `cpanm Test::More` it decided to try and > unlink it. Is this expected? It doesn't seem reasonable to me but > maybe it's user error? I did get Test::More installed by doing `unset > PERL5LIB && cpanm Test::More`. > > $ perlbrew use 5.8.9 > > $ cpanm Test::More > --> Working on Test::More > Fetching http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Simple- > 1.001014.tar.gz ... OK > Configuring Test-Simple-1.001014 ... OK > Building and testing Test-Simple-1.001014 ... FAIL > ! Installing Test::More failed. See > /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. > Retry with --force to force install it. > > $ tail -n 16 /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log > All tests successful, 7 tests and 27 subtests skipped. > Files=118, Tests=1370, 8 wallclock secs ( 2.43 cusr + 0.73 csys = > 3.16 CPU) > Manifying blib/man3/Test::Builder::Tester::Color.3 > Manifying blib/man3/Test::Tester::Capture.3 > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > WARNING: WARNING: Failed chmod(438, > /gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm): Read- > only file system > > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > ERROR: Cannot unlink > '/gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm': Read- > only file system > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > at -e line 1 > > make: *** [pure_perl_install] Error 30 > -> FAIL Installing Test::More failed. See > /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. > Retry with --force to force install it. > Expiring 3 work directories.
Can you post the output of perl -V?
Download (untitled) / with headers
text/plain 235b
You can set `--no-uninst-shadows` option to cpanm to stop this behavior. cpanm tries to uninstall the shadow version of the module for older perls (< 5.12) unless you properly setup local::lib environment, which might not be your case.
Download (untitled) / with headers
text/plain 2.1k
On Fri Feb 13 19:44:09 2015, haarg wrote: Show quoted text
> On Fri Feb 13 14:54:11 2015, NNUTTER wrote:
> > I don't know for sure that this issue is with ExtUtils::Install but it > > was the only match for the warning/error below. I had a Test::Simple > > in my PERL5LIB and during `cpanm Test::More` it decided to try and > > unlink it. Is this expected? It doesn't seem reasonable to me but > > maybe it's user error? I did get Test::More installed by doing `unset > > PERL5LIB && cpanm Test::More`. > > > > $ perlbrew use 5.8.9 > > > > $ cpanm Test::More > > --> Working on Test::More > > Fetching http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Simple- > > 1.001014.tar.gz ... OK > > Configuring Test-Simple-1.001014 ... OK > > Building and testing Test-Simple-1.001014 ... FAIL > > ! Installing Test::More failed. See > > /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. > > Retry with --force to force install it. > > > > $ tail -n 16 /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log > > All tests successful, 7 tests and 27 subtests skipped. > > Files=118, Tests=1370, 8 wallclock secs ( 2.43 cusr + 0.73 csys = > > 3.16 CPU) > > Manifying blib/man3/Test::Builder::Tester::Color.3 > > Manifying blib/man3/Test::Tester::Capture.3 > > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > > WARNING: WARNING: Failed chmod(438, > > /gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm): Read- > > only file system > > > > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > > ERROR: Cannot unlink > > '/gsc/scripts/opt/genome/current/user/lib/perl/Test/Simple.pm': Read- > > only file system > > !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! > > at -e line 1 > > > > make: *** [pure_perl_install] Error 30 > > -> FAIL Installing Test::More failed. See > > /gscuser/nnutter/.cpanm/work/1423854597.6326/build.log for details. > > Retry with --force to force install it. > > Expiring 3 work directories.
> > > Can you post the output of perl -V?
I've attached the perl -V output.
Subject: perl_v.txt
Download perl_v.txt
text/plain 2.9k
Summary of my perl5 (revision 5 version 8 subversion 9) configuration: Platform: osname=linux, osvers=2.6.35-31-generic, archname=x86_64-linux uname='linux linus264.gsc.wustl.edu 2.6.35-31-generic #63~lucid1-ubuntu smp tue nov 29 18:19:47 utc 2011 x86_64 gnulinux ' config_args='-de -Dprefix=/gscuser/nnutter/.perlbrew/perls/perl-5.8.9 -Aeval:scriptdir=/gscuser/nnutter/.perlbrew/perls/perl-5.8.9/bin' hint=recommended, useposix=true, d_sigaction=define usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=undef useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=define use64bitall=define uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cc', ccflags ='-fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-O2', cppflags='-fno-strict-aliasing -pipe -I/usr/local/include' ccversion='', gccversion='4.4.3', gccosandvers='' intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16 ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='cc', ldflags =' -L/usr/local/lib' libpth=/usr/local/lib /lib/../lib /usr/lib/../lib /lib /usr/lib /usr/lib/x86_64-linux-gnu /lib64 /usr/lib64 libs=-lnsl -ldb -ldl -lm -lcrypt -lutil -lc perllibs=-lnsl -ldl -lm -lcrypt -lutil -lc libc=/lib/libc-2.11.1.so, so=so, useshrplib=false, libperl=libperl.a gnulibc_version='2.11.1' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E' cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib' Characteristics of this binary (from libperl): Compile-time options: PERL_MALLOC_WRAP USE_64_BIT_ALL USE_64_BIT_INT USE_FAST_STDIO USE_LARGE_FILES USE_PERLIO Built under linux Compiled at Feb 13 2015 12:50:12 %ENV: PERL5LIB="/gapp/noarch/lib/perl5:/gsc/scripts/opt/genome/current/user/lib/perl:/gsc/scripts/lib/perl:/gsc/scripts/gsc/info/lib:/gscuser/nnutter/lib/perl5" PERLBREW="command perlbrew" PERLBREW_BASHRC_VERSION="0.64" PERLBREW_HOME="/gscuser/nnutter/.perlbrew" PERLBREW_MANPATH="/gscuser/nnutter/.perlbrew/perls/perl-5.8.9/man" PERLBREW_PATH="/gscuser/nnutter/.perlbrew/bin:/gscuser/nnutter/.perlbrew/perls/perl-5.8.9/bin" PERLBREW_PERL="perl-5.8.9" PERLBREW_ROOT="/gscuser/nnutter/.perlbrew" PERLBREW_VERSION="0.64" @INC: /gapp/noarch/lib/perl5 /gsc/scripts/opt/genome/current/user/lib/perl /gsc/scripts/lib/perl /gsc/scripts/gsc/info/lib /gscuser/nnutter/lib/perl5 /gscuser/nnutter/.perlbrew/perls/perl-5.8.9/lib/5.8.9/x86_64-linux /gscuser/nnutter/.perlbrew/perls/perl-5.8.9/lib/5.8.9 /gscuser/nnutter/.perlbrew/perls/perl-5.8.9/lib/site_perl/5.8.9/x86_64-linux /gscuser/nnutter/.perlbrew/perls/perl-5.8.9/lib/site_perl/5.8.9 .
Download (untitled) / with headers
text/plain 624b
On Fri Feb 13 20:31:38 2015, MIYAGAWA wrote: Show quoted text
> You can set `--no-uninst-shadows` option to cpanm to stop this > behavior. cpanm tries to uninstall the shadow version of the module > for older perls (< 5.12) unless you properly setup local::lib > environment, which might not be your case.
So is this not really an issue with ExtUtils::Install? Maybe I should make a ticket for cpanm rather than discussing further here? Because I would still like to understand why the behavior changes for older perls, what the different behavior is between old perls and new perls, and why a destructive behavior is used as the default.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.